Multivariate Pattern Analysis in Python

# mvpa2.kernels.libsvm.LSKernel

class `mvpa2.kernels.libsvm.``LSKernel`(*args, **kwargs)

  A Kernel object which dictates how LibSVM will calculate the kernel

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `as_raw_sg`(kernel) | Converts directly to a Shogun kernel
  `as_sg`(kernel) | Converts this kernel to a Shogun-based representation
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Base class for LIBSVM Kernels has no parameters

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `as_raw_sg`(kernel) | Converts directly to a Shogun kernel
  `as_sg`(kernel) | Converts this kernel to a Shogun-based representation
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  `as_ls`()
  `as_raw_ls`()
  `as_raw_np`()
  `compute`(*args, **kwargs)